Subject: Re: Google Code: Support for Mercurial and Analysis of Git and Mercurial

From: Jakub Narebski <[email-masked]>
Date: Sun, 26 Apr 2009 21:57:36 +0200

On Sun, 26 April 2009, Jakub Narebski wrote:
> On Sun, 26 April 2009, Matthias Andree wrote:
> > Am 26.04.2009, 10:16 Uhr, schrieb Jakub Narebski <[email-masked]>:

> [...]
> > > The deciding feature (well, one of deciding features) was the fact
> > > that Mercurial has better HTTP support... I guess (it was not obvious
> > > from the analysis, but it was hinted at) that Mercurial uses its
> > > custom protocol over HTTP, as opposed to "dumb" HTTP protocol support
> > > in Git.
> > >
> > > Perhaps it is time to restart work on _"smart" HTTP protocol_?
> > 
> > That would certainly be useful, but the "packs" approach is something that  
> > may make this more difficult than for Mercurial. Git+SSH works rather well  
> > though.
> 
> As you can find in mailing list archives the design part of "tunelling"
> pack protocol over HTTP, using git-aware server (for example some CGI
> script, or simple HTTP server like Mercurial's hg-serve), is done.
[...]

See thread named "More on git over HTTP POST" and its predecessor

  http://permalink.gmane.org/gmane.comp.version-control.git/91196
  http://thread.gmane.org/gmane.comp.version-control.git/91104/focus=91196

-- 
Jakub Narebski
Poland